%define upstream_name    Dist-Zilla-Plugin-GitHub
%define upstream_version 0.14

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Update GitHub repo info on release
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Dist::Zilla::Role::AfterMint)
BuildRequires: perl(Dist::Zilla::Role::MetaProvider)
BuildRequires: perl(Dist::Zilla::Role::PluginBundle::Easy)
BuildRequires: perl(Dist::Zilla::Role::Releaser)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(File::Basename)
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Temp)
BuildRequires: perl(HTTP::Tiny)
BuildRequires: perl(IO::Socket::SSL)
BuildRequires: perl(JSON)
BuildRequires: perl(Moose)
BuildRequires: perl(Test::More)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
The following is a list of Plugin in this distribution to help you
integrate GitHub and Dist::Zilla:

* * the Dist::Zilla::Plugin::GitHub::Create manpage Create GitHub repo on
  dzil new

* * the Dist::Zilla::Plugin::GitHub::Update manpage Update GitHub repo info
  on release

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog

* Wed Jan 04 2012 jquelin <jquelin> 0.140.0-1.mga2
+ Revision: 190296
- update to 0.14
- update to 0.13
- update to 0.12

* Wed Jun 15 2011 jquelin <jquelin> 0.100.0-1.mga2
+ Revision: 106843
- update to 0.10

* Mon Mar 14 2011 jquelin <jquelin> 0.60.0-1.mga1
+ Revision: 71225
- imported package perl-Dist-Zilla-Plugin-GitHub


* Mon Mar 14 2011 cpan2dist 0.06-1mga
- initial mageia release, generated with cpan2dist
